package com.kwai.allin.demo.test;

import android.util.Log;

import com.kwai.allin.demo.util.NativeHandler;
import com.kwai.allin.demo.util.Util;
import com.kwai.sdk.KwaiPayResultListener;
import com.kwai.sdk.KwaiSdk;
import com.kwai.sdk.subbus.pay.model.KwaiPayInfo;

public class PayTestHelper {
  private static KwaiPayInfo genPayinfo(int price) {
    String appId = AppInfoManager.getInstance().getAppId();
    String gameUserId = AppInfoManager.getInstance().getGameUserId();
    KwaiPayInfo info = new KwaiPayInfo();
    info.roleId = "2000034";
    info.roleName = "roleName";
    info.roleLevel = "1";
    info.serverId = "1";
    info.serverName = "1";
    info.productId = "1";
    info.productName = "30钻石";
    info.productDesc = "30钻石";
    info.price = price;
    info.currencyType = "CNY";
    info.notifyUrl = "https://c.kuaishoupay.com/rest/n/pay/notify/allin";
    info.userIp = "202.189.1.92";
    info.productNum = 10;
//    info.extension;
    info.sign = "";
//    info.orderId;
    //TODO src为参与签名的字段拼凑出来的字符串，游戏server可以按此进行签名
    String src = Util.getSignSrc(appId, "ks", gameUserId, info);
    //TODO  NativeHandler.getDemoPri() 为游戏cp的私钥，
    // 调试时可以在demo上替换成游戏自己的进行测试， 正式包中，请从服务端下发。
    info.sign = Util.sign(src, NativeHandler.getDemoPri() );
    // TODO warn 所有签名都必须在 server进行
    Log.d("KwaiPay", "info.sign:" + info.sign);
    return info;
  }

  public static void callpay(final int price, final KwaiPayResultListener callback) {
    KwaiPayInfo info = genPayinfo(price);
    KwaiSdk.pay(info, callback);
  }
}
